Attribute VB_Name = "HDCmod"
' HDC - will one day emulate a logic gate SCSI interface hooked
' to a SCSI harddisc image... shouldn't be that difficult, huh?
' <giggle>
'
' Project: FileStore [E01S emulator]
' Module : HDCmod
'
' Version: 0.00
' Date   : 3rd August 2009
' Started: 20th April 2009
'
' Author : Rick Murray, heyrick1973 -at- yahoo -dot- co -dot- uk
'          http://www.heyrick.co.uk/econet/
'
'
' Licence:
'
'   Copyright 2010 Rick Murray
'
'   Licensed under the EUPL, Version 1.1 ONLY (the "Licence");
'   You may not use this work except in compliance with the Licence.
'
'   You may obtain a copy of the Licence at:
'
'     http://ec.europa.eu/idabc/eupl5
'
'   Unless required by applicable law or agreed to in writing, software
'   distributed under the Licence is distributed on an "AS IS" basis,
'   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
'   implied. See the Licence for the specific language governing
'   permissions and limitations under the Licence.
'
'
'   Rick's note: The EUPL is "compatible" with GPL v2, but *NOT* the more
'                restrictive GPL v3. If you will be involving GPL code
'                in this project, or using some of this code in a GPL
'                project, you should specify the use of ONLY the GPL v2
'                (and not the boilerplate "GPL 2 or any later...").
'

Option Explicit


Public Sub HDC_Initialise()
  ' does nothing yet
  
End Sub


Public Sub HDC_Write(ByVal Value As Byte, ByVal Reg As Integer)
  ' stats
  
  HWLog "HDC write: " & CStr(Value) & " -> " & CStr(Reg) & _
        " [" & HDC_LookupReg(Reg) & "  %" & VIA_Binary(Value) & "]"
End Sub


Public Function HDC_Read(ByVal Reg As Integer)
  ' stats
  
  HWLog "HDC read : <- " & CStr(Reg) & " [" & _
        HDC_LookupReg(Reg) & "]"
End Function


Public Sub HDC_Poll()
  ' does nothing
  
End Sub


Private Function HDC_LookupReg(ByVal Reg As Integer) As String
  Select Case Reg
    Case 0: HDC_LookupReg = "Data/Data"
    Case 1: HDC_LookupReg = "Status/--"
    Case 2: HDC_LookupReg = "--/Select"
    Case 3: HDC_LookupReg = "--/EnableIRQ"
  End Select
End Function

