VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form frmHelp 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "FileStore help"
   ClientHeight    =   5520
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   8145
   ClipControls    =   0   'False
   Icon            =   "frmHelp.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5520
   ScaleWidth      =   8145
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton btnDone 
      Cancel          =   -1  'True
      Caption         =   "&Done"
      Height          =   375
      Left            =   6960
      TabIndex        =   1
      Top             =   5040
      Width           =   1095
   End
   Begin RichTextLib.RichTextBox rtfHelp 
      Height          =   4935
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   8175
      _ExtentX        =   14420
      _ExtentY        =   8705
      _Version        =   393217
      ReadOnly        =   -1  'True
      ScrollBars      =   2
      BulletIndent    =   20
      TextRTF         =   $"frmHelp.frx":000C
   End
End
Attribute VB_Name = "frmHelp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Help/documentation reader for brief help/info as an RTF doc.
'
' Project: FileStore [E01S emulator]
' Module : frmHelp (form)
' Status : Loaded as required by frmMain. Unloads itself.
'
' Version: 0.00
' Date   : 14th April 2009
' Started: 14th April 2009
'
' Author : Rick Murray, heyrick1973 -at- yahoo -dot- co -dot- uk
'          http://www.heyrick.co.uk/econet/
'
'
' Licence:
'
'   Copyright 2010 Rick Murray
'
'   Licensed under the EUPL, Version 1.1 ONLY (the "Licence");
'   You may not use this work except in compliance with the Licence.
'
'   You may obtain a copy of the Licence at:
'
'     http://ec.europa.eu/idabc/eupl5
'
'   Unless required by applicable law or agreed to in writing, software
'   distributed under the Licence is distributed on an "AS IS" basis,
'   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
'   implied. See the Licence for the specific language governing
'   permissions and limitations under the Licence.
'
'
'   Rick's note: The EUPL is "compatible" with GPL v2, but *NOT* the more
'                restrictive GPL v3. If you will be involving GPL code
'                in this project, or using some of this code in a GPL
'                project, you should specify the use of ONLY the GPL v2
'                (and not the boilerplate "GPL 2 or any later...").
'

Option Explicit

Private Sub Form_Load()
  Dim MyFile As String
  
  MyFile = App.Path & "\help.rtf"

  Me.Left = (Screen.Width - Me.Width) \ 2
  Me.Top = (Screen.Height - Me.Height) \ 2
  
  If (Len(Dir(MyFile)) = 0) Then
    Me.rtfHelp.TextRTF = "{\rtf1\ansi\ansicpg1252\deff0" & _
      "\deflang2057{\fonttbl{\f0\fswiss\fprq2\fcharset0 " & _
      "Arial;}{\f1\fswiss\fcharset0 Arial;}}" & vbCrLf & _
      "{\colortbl ;\red255\green0\blue0;\red128\green0\blue0;}" & _
      vbCrLf & "\uc1\pard\cf1\b\f0\fs28 Unable to access the " & _
      "help file!\cf0\f1\par\par" & vbCrLf & _
      "\fs20\tab\cf2\f0 """ & Fudge(MyFile) & """\cf0\f1\par" & _
      vbCrLf & "\b0\par" & vbCrLf & "}"
  Else
    Me.rtfHelp.LoadFile MyFile, rtfRTF
  End If
End Sub


Private Sub btnDone_Click()
  Unload Me
End Sub


Private Function Fudge(Ins As String) As String
  Dim Outs As String, Recurse As Integer, MyByte As Byte

  Outs = vbNullString
  For Recurse = 1 To Len(Ins)
    MyByte = Asc(Mid$(Ins, Recurse, 1))
    If (MyByte = 92) Then
      Outs = Outs & "\\"
    Else
      Outs = Outs & Chr$(MyByte)
    End If
  Next
  
  Fudge = Outs
End Function
