VERSION 5.00
Begin VB.Form frmBreak 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Breakpoints"
   ClientHeight    =   4935
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   6495
   Icon            =   "frmBreak.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4935
   ScaleWidth      =   6495
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton btnOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   5760
      TabIndex        =   29
      Top             =   4440
      Width           =   615
   End
   Begin VB.Frame fraBreakEvent 
      Caption         =   "Event-related breakpoints"
      Height          =   2295
      Left            =   120
      TabIndex        =   18
      Top             =   2040
      Width           =   6255
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on RTS instruction"
         Height          =   195
         Index           =   8
         Left            =   3240
         TabIndex        =   28
         Top             =   1920
         Width           =   2895
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on RTI instruction"
         Height          =   195
         Index           =   7
         Left            =   3240
         TabIndex        =   27
         Top             =   1680
         Width           =   2895
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on NOP instruction"
         Height          =   195
         Index           =   6
         Left            =   3240
         TabIndex        =   26
         Top             =   1440
         Width           =   2895
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on JSR instruction"
         Height          =   195
         Index           =   5
         Left            =   240
         TabIndex        =   25
         Top             =   1920
         Width           =   2775
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on JMP instruction"
         Height          =   195
         Index           =   4
         Left            =   240
         TabIndex        =   24
         Top             =   1680
         Width           =   2775
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on branch instruction (any)"
         Height          =   195
         Index           =   3
         Left            =   240
         TabIndex        =   23
         Top             =   1440
         Width           =   2775
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on RST vector call"
         Height          =   195
         Index           =   2
         Left            =   240
         TabIndex        =   22
         Top             =   1080
         Width           =   3015
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on NMI vector call"
         Height          =   195
         Index           =   1
         Left            =   240
         TabIndex        =   21
         Top             =   840
         Width           =   3015
      End
      Begin VB.CheckBox selBreak 
         Caption         =   "Break on IRQ vector call (&& BRK op)"
         Height          =   195
         Index           =   0
         Left            =   240
         TabIndex        =   20
         Top             =   600
         Width           =   3015
      End
      Begin VB.Label lblBreakNote 
         Caption         =   "Because these breakpoints are checked when event happens, impact is minimal."
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   19
         Top             =   260
         Width           =   6015
      End
   End
   Begin VB.Frame fraBreakAddr 
      Caption         =   "Address-related breakpoints"
      Height          =   1815
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6255
      Begin VB.CheckBox selBreakAccess 
         Caption         =   "Break on read or write here"
         Height          =   195
         Index           =   3
         Left            =   3840
         TabIndex        =   17
         Top             =   1425
         Width           =   2295
      End
      Begin VB.CheckBox selBreakInstr 
         Caption         =   "Break on instruction"
         Height          =   255
         Index           =   3
         Left            =   2040
         TabIndex        =   16
         Top             =   1405
         Width           =   1815
      End
      Begin VB.TextBox txtBreak 
         Height          =   285
         Index           =   3
         Left            =   1485
         MaxLength       =   4
         TabIndex        =   15
         Top             =   1390
         Width           =   495
      End
      Begin VB.CheckBox selBreakAccess 
         Caption         =   "Break on read or write here"
         Height          =   195
         Index           =   2
         Left            =   3840
         TabIndex        =   13
         Top             =   1145
         Width           =   2295
      End
      Begin VB.CheckBox selBreakInstr 
         Caption         =   "Break on instruction"
         Height          =   255
         Index           =   2
         Left            =   2040
         TabIndex        =   12
         Top             =   1125
         Width           =   1815
      End
      Begin VB.TextBox txtBreak 
         Height          =   285
         Index           =   2
         Left            =   1485
         MaxLength       =   4
         TabIndex        =   11
         Top             =   1110
         Width           =   495
      End
      Begin VB.CheckBox selBreakAccess 
         Caption         =   "Break on read or write here"
         Height          =   195
         Index           =   1
         Left            =   3840
         TabIndex        =   9
         Top             =   885
         Width           =   2295
      End
      Begin VB.CheckBox selBreakInstr 
         Caption         =   "Break on instruction"
         Height          =   255
         Index           =   1
         Left            =   2040
         TabIndex        =   8
         Top             =   865
         Width           =   1815
      End
      Begin VB.TextBox txtBreak 
         Height          =   285
         Index           =   1
         Left            =   1485
         MaxLength       =   4
         TabIndex        =   7
         Top             =   840
         Width           =   495
      End
      Begin VB.CheckBox selBreakAccess 
         Caption         =   "Break on read or write here"
         Height          =   195
         Index           =   0
         Left            =   3840
         TabIndex        =   5
         Top             =   600
         Width           =   2295
      End
      Begin VB.CheckBox selBreakInstr 
         Caption         =   "Break on instruction"
         Height          =   255
         Index           =   0
         Left            =   2040
         TabIndex        =   4
         Top             =   580
         Width           =   1815
      End
      Begin VB.TextBox txtBreak 
         Height          =   285
         Index           =   0
         Left            =   1485
         MaxLength       =   4
         TabIndex        =   3
         Text            =   "E800"
         Top             =   560
         Width           =   495
      End
      Begin VB.Label lblBreak 
         Alignment       =   1  'Right Justify
         Caption         =   "Breakpoint 4 at &&"
         Height          =   255
         Index           =   3
         Left            =   120
         TabIndex        =   14
         Top             =   1425
         Width           =   1335
      End
      Begin VB.Label lblBreak 
         Alignment       =   1  'Right Justify
         Caption         =   "Breakpoint 3 at &&"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   10
         Top             =   1145
         Width           =   1335
      End
      Begin VB.Label lblBreak 
         Alignment       =   1  'Right Justify
         Caption         =   "Breakpoint 2 at &&"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   6
         Top             =   885
         Width           =   1335
      End
      Begin VB.Label lblBreak 
         Alignment       =   1  'Right Justify
         Caption         =   "Breakpoint 1 at &&"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   2
         Top             =   600
         Width           =   1335
      End
      Begin VB.Label lblBreakNote 
         Caption         =   "Please note that enabling address-related breakpoints will slow down the emulation..."
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   1
         Top             =   260
         Width           =   6015
      End
   End
End
Attribute VB_Name = "frmBreak"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' The breakpoint setup dialogue.
'
' Project: FileStore [E01S emulator]
' Module : frmBreak (form)
' Status : -not yet defined-
'
' Version: 0.00
' Date   : 14th April 2009
' Started: 14th April 2009
'
' Author : Rick Murray, heyrick1973 -at- yahoo -dot- co -dot- uk
'          http://www.heyrick.co.uk/econet/
'
'
' Licence:
'
'   Copyright 2010 Rick Murray
'
'   Licensed under the EUPL, Version 1.1 ONLY (the "Licence");
'   You may not use this work except in compliance with the Licence.
'
'   You may obtain a copy of the Licence at:
'
'     http://ec.europa.eu/idabc/eupl5
'
'   Unless required by applicable law or agreed to in writing, software
'   distributed under the Licence is distributed on an "AS IS" basis,
'   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
'   implied. See the Licence for the specific language governing
'   permissions and limitations under the Licence.
'
'
'   Rick's note: The EUPL is "compatible" with GPL v2, but *NOT* the more
'                restrictive GPL v3. If you will be involving GPL code
'                in this project, or using some of this code in a GPL
'                project, you should specify the use of ONLY the GPL v2
'                (and not the boilerplate "GPL 2 or any later...").
'

Option Explicit

Private Sub Form_Load()
  Me.Left = (Screen.Width - Me.Width) \ 2
  Me.Top = (Screen.Height - Me.Height) \ 2
End Sub
